<app-loading *ngIf='isLoading'></app-loading>
<div class="content-header">
  <mb-button mbButtonAvailableStyle="CUSTOM" mbButtonText="Gửi nhân viên" (click)="sendEmployee()"
             *ngIf="objFunction?.edit && targetPlanStaffItem?.flagStatus === processFlagStatus.CHUA_GUI_XAC_NHAN_GIAO && isDirectManager">
  </mb-button>
  <mb-button mbButtonAvailableStyle="PRIMARY" mbButtonText="Lưu" (click)="saveGiveCriteria()"
             *ngIf="objFunction?.edit && targetPlanStaffItem?.flagStatus === processFlagStatus.CHUA_GUI_XAC_NHAN_GIAO">
  </mb-button>
  <ng-container *ngIf="infoEmployee?.managerId !== this.currentUser?.empCode">
    <mb-button mbButtonAvailableStyle="PRIMARY" *ngIf="objFunction?.approve && targetPlanStaffItem?.flagStatus === processFlagStatus.CHO_PHE_DUYET_GIAO"
               mbButtonSize="LARGE" mbButtonText="{{'common.button.confirm' | translate}}"
               mbButtonType="NO_BORDER" (click)="approvePlanAssignment()"></mb-button>
    <mb-button *ngIf="objFunction?.approve && targetPlanStaffItem?.flagStatus === processFlagStatus.CHO_PHE_DUYET_GIAO" mbButtonSize="MEDIUM" mbButtonText="{{'common.button.reject' | translate}}"
               mbButtonTextColor="#141ED2" (click)="showModalRejectPlan()"></mb-button>
  </ng-container>

</div>
<nz-card class="give-criteria-card">
  <div nz-row>
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <div>
        <label style="font-weight: bold;">Mã nhân viên</label>
      </div>
      <span>{{infoEmployee?.empCode}}</span>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <div>
        <label style="font-weight: bold;">Họ và tên</label>
      </div>
      <span>{{infoEmployee?.fullName}}</span>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <div>
        <label style="font-weight: bold;">Position</label>
      </div>
      <span>{{infoEmployee?.positionName}}</span>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <div>
        <label style="font-weight: bold;">Trạng thái</label>
      </div>
      <span>{{renderFlagStatus(infoEmployee?.flagStatus)}}</span>
    </div>
  </div>
  <div nz-row style="align-items: flex-end; margin-top: 22px;">
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <div>
        <label style="font-weight: bold;">CBQL trực tiếp</label>
      </div>
      <span>{{infoEmployee?.directEmp}}</span>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <div>
        <label style="font-weight: bold;">Chức danh</label>
      </div>
      <span>{{infoEmployee?.directJobName}}</span>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <div>
        <label style="font-weight: bold;">Kỳ đánh giá năm</label>
      </div>
      <span>{{infoEmployee?.periodYear}}</span>
    </div>
  </div>
  <div nz-row style="align-items: flex-end; margin-top: 22px;">
    <div nz-col nzSm="24" nzXs="24" nzLg="6" *ngIf="infoEmployee?.indirectEmp">
      <div>
        <label style="font-weight: bold;">CBQL gián tiếp</label>
      </div>
      <span>{{infoEmployee?.indirectEmp}}</span>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6" *ngIf="infoEmployee?.indirectJobName">
      <div>
        <label style="font-weight: bold;">Chức danh</label>
      </div>
      <span>{{infoEmployee?.indirectJobName}}</span>
    </div>
  </div>
</nz-card>

<nz-table style="margin-top: 22px" class="data-table" #basicTable
          nzTableLayout="fixed"
          [nzScroll]="{ x: '10em', y: '35em' }" nzSize='small'
          [nzData]="arrayParent && arrayParent.length ? arrayParent : []" [nzFrontPagination]="false" nzSize='small'
          >
  <thead>
  <tr>
    <th scope="col" nzWidth='10%' nzLeft>{{'goaManagement.assign-target-to-all-employees.label.table.scoreCardName' | translate}}</th>
    <th scope="col" nzWidth="35%">{{'goaManagement.assign-target-to-all-employees.label.table.targetName' | translate}}</th>
    <th scope="col">{{'goaManagement.assign-target-to-all-employees.label.table.density' | translate}}</th>
    <th scope="col">{{'goaManagement.assign-target-to-all-employees.label.table.typeKpi' | translate}}</th>
    <th scope="col">{{'goaManagement.assign-target-to-all-employees.label.table.type-target' | translate}}</th>
    <th scope="col" *ngFor="let data of listResutYear; let i = index">
      Chỉ tiêu {{data.periodName}}</th>

    <th scope="col" nzWidth='10em' nzRight>DIỄN GIẢI </th>
  </tr>
  </thead>
  <tbody>
  <ng-container *ngFor="let data of arrayParent; let i = index">
    <tr>
      <td nzLeft>
        {{data.scoreCardName}}
      </td>
      <td>
        {{data.tarName}}
      </td>
      <td>
        {{data.scale}}
      </td>
      <td>
        {{data?.targetTypeName}}
      </td>
      <td>
        {{data?.typeRuleName}}
      </td>
      <td *ngFor="let data1 of listResult[data.stdId] |sortBy:'desc':'periodId'; let i = index">
        <mb-input-text *ngIf="objFunction?.edit && data.subs.length === 0" [disabled]="disabled"
                       appNumberic
                       [num]="100"
                       [decimals]="2"
                       [mbShowFlexEnd]='false' [ngModel]="data1?.estimateNum | covertNumberString0"
                       (ngModelChange)="getValueEstimateNum($event,data1, 'parent',i)" [minNumber]="'0'"
                       [mbType]="data1?.error ? 'error' : 'default'">
        </mb-input-text>
        <div style="display: flex; align-items: center;margin-top: 10px;" *ngIf="data1.error">
          <em nz-icon nzType="close-circle" style="color: #ff4d4f;" nzTheme="outline"></em>
          <span style="color: #ff4d4f;padding-left: 10px;">{{data1.error}}</span>
        </div>
      </td>
      <td nzRight>
        <input [disabled]="disabled" *ngIf="objFunction?.edit && data.subs.length === 0"
               [(ngModel)]="data!.description" nz-input style="border-radius: 8px;
            min-height: 32px;
            padding: 10px 0px 10px 8px;" (ngModelChange)="getValueDescription($event,data)" />
      </td>
    </tr>
    <ng-container *ngIf="data.subs && data.subs.length > 0">
      <ng-container *ngFor="let dv1 of data.subs; let i1 = index">
        <tr>
          <td nzLeft>
            {{dv1.scoreCardName}}
          </td>
          <td style="padding-left: 34px;">
            {{dv1.tarName}}
          </td>
          <td>
            {{dv1.scale}}
          </td>
          <td>
            {{dv1?.targetTypeName}}
          </td>
          <td>
            {{data?.typeRuleName}}
          </td>
          <td *ngFor="let data2 of listResultChild[dv1.stdId] |sortBy:'desc':'periodId'; let i = index">
            <mb-input-text *ngIf="objFunction?.edit" [disabled]="disabled"
                           appNumberic
                           [num]="100"
                           [decimals]="2"
                           [mbShowFlexEnd]='false' [ngModel]="data2?.estimateNum | covertNumberString0"
                           (ngModelChange)="getValueEstimateNum($event,data2,'child')" [minNumber]="'0'"
                           [mbType]="data2?.error ? 'error' : 'default'">
            </mb-input-text>

            <div style="display: flex; align-items: center;margin-top: 10px;" *ngIf="data2.error">
              <em nz-icon nzType="close-circle" style="color: #ff4d4f;" nzTheme="outline"></em>
              <span style="color: #ff4d4f;padding-left: 10px;">{{data2.error}}</span>
            </div>
          </td>

          <td nzRight>
            <input [disabled]="disabled" *ngIf="objFunction?.edit" [(ngModel)]="dv1.description" nz-input style="border-radius: 8px;
                min-height: 32px;
                padding: 10px 0px 10px 8px;" (ngModelChange)="getValueDescription($event,dv1)" />
          </td>
        </tr>
      </ng-container>
    </ng-container>
  </ng-container>
  </tbody>
</nz-table>
<mb-modal-confirm #modalCompReject
                  [modalHeader]="'Từ chối giá trị giao kế hoạch'"
                  [isVisibleCorrectionDialog]='false'
                  (sendApprovedValid)='rejectPlanAssignment($event)'
                  titleInputText="{{'targerManager.personalTargetList.label.table.inputReasonReject' | translate}}"
                  mbPlaceholderText="{{'targerManager.personalTargetList.label.table.inputReasonReject' | translate}}"
                  [mbErrorDefs]="[
      { errorName: 'maxlength', errorDescription: 'goaManagement.validate.maxLength' | translate: {'numberLength': '250' }},
      { errorName: 'required', errorDescription: 'goaManagement.validate.required' | translate:
      {'param': 'targerManager.personalTargetList.label.table.reasonReject' | translate }},
      { errorName: 'noAllowSpace', errorDescription: 'goaManagement.validate.required' | translate:
      {'param': 'targerManager.personalTargetList.label.table.reasonReject' | translate }}]"

>
</mb-modal-confirm>
